Subject: Re: bug#15962: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Nov 2013 18:43:48 +0200

> Date: Wed, 27 Nov 2013 08:18:12 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Please try to gather a few more data points.  It is important to know
> > if this happens with special frames, or with normal ones as well.
> 
> What do you mean by "special frames"? Thumbnail frames are normal frames,
> as I described.  They are just small.

You said they had no menu bar and no tool bar.  So they are "special"
in that way.

> And I think, but am not sure, that I got the crashes also when
> clicking in a non-thumbnail frame.

That's why I said it's important to know whether this is indeed so.

> > > My unfounded guess is still that it is just the change of focus that
> > > provokes the crash.
> > 
> > Then it would be a mystery, because then everybody on Windows should
> > have these crashes all the time.
> 
> That doesn't follow.  How many users use multiple frames?  And how many
> use a standalone minibuffer frame?  And yes, no doubt my
> `default-frame-alist' is different from most.  And so on.

You said "just change of focus", which happens no matter how many
frames one has and how they are configured.

> > There's still something special to your configuration or usage
> > patterns, I think.
> 
> Certainly my Emacs is highly customized.  If the problem arises only
> with some one or more of the thousands of differences between my setup
> and `emacs -Q', good luck trying to guess which one or more setting
> differences might be revealing the Emacs bug?

You are taking this to the extreme.  If indeed focus switch causes
this, I don't think customized options are a factor, because focus
switch event is handled by code that is mostly invisible to Lisp.

> Perhaps the code that produces the backtrace can be improved to give
> better info?  If it essentially just says, "No idea; something crashed",
> then it isn't much help, at least in this case.

It says more than that, but not enough.  Unfortunately, I don't know
how to make it better.